type Manufacturer {
    id: ID!
    createdAt: DateTime! @rename(attribute: "created_at")
    updatedAt: DateTime! @rename(attribute: "updated_at")
    name: String!
    parts: [Part!]! @hasMany
}

extend type Query @guard {
    manufacturers: [Manufacturer!]! @paginate
}
